summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author David Melik <dchmelik@gmail.com>2012-08-12 18:02:14 -0400
committer Robby Workman <rworkman@slackbuilds.org>2012-08-14 22:30:51 -0500
commit6da6df76b92dd75fba3718d72798f58ee73a43bd (patch)
tree72f1588396b2c5a80f4b2a70f6c27cbe5a2d5810 /games
parent361a6df14effd159a2231bd16a0e6e19c598339a (diff)
downloadslackbuilds-6da6df76b92dd75fba3718d72798f58ee73a43bd.tar.gz
slackbuilds-6da6df76b92dd75fba3718d72798f58ee73a43bd.tar.xz
games/stone_soup: Added (dungeon exploration game)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/stone_soup/README9
-rw-r--r--games/stone_soup/slack-desc19
-rw-r--r--games/stone_soup/stone_soup.SlackBuild83
-rw-r--r--games/stone_soup/stone_soup.info10
4 files changed, 121 insertions, 0 deletions
diff --git a/games/stone_soup/README b/games/stone_soup/README
new file mode 100644
index 0000000000..792967922d
--- /dev/null
+++ b/games/stone_soup/README
@@ -0,0 +1,9 @@
+Dungeon Crawl Stone Soup is a game of dungeon exploration, combat and magic,
+involving characters of diverse skills, worshipping deities of great power and
+caprice. To win, you'll need to be a master of tactics and strategy, and
+prevail against overwhelming odds.
+
+A graphics version is available, which can be compiled by
+GUI=yes stone_soup.SlackBuild.
+
+This requires: lua
diff --git a/games/stone_soup/slack-desc b/games/stone_soup/slack-desc
new file mode 100644
index 0000000000..da848f720b
--- /dev/null
+++ b/games/stone_soup/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+stone_soup: Stone Soup (dungeon exploration game)
+stone_soup:
+stone_soup: Dungeon Crawl Stone Soup is a game of dungeon exploration, combat and
+stone_soup: magic, involving characters of diverse skills, worshipping deities of
+stone_soup: great power and caprice. To win, you'll need to be a master of tactics
+stone_soup: and strategy, and prevail against overwhelming odds. A graphics
+stone_soup: version is available, which can be compiled by writing the word
+stone_soup: "TILES" at the end of the "make install" line in
+stone_soup: stone_soup.SlackBuild (see Makefile for list of compile flags).
+stone_soup:
+stone_soup: homepage: http://crawl.develz.org/ \ No newline at end of file
diff --git a/games/stone_soup/stone_soup.SlackBuild b/games/stone_soup/stone_soup.SlackBuild
new file mode 100644
index 0000000000..a1bf41b2e4
--- /dev/null
+++ b/games/stone_soup/stone_soup.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for Dungeon Crawl Stone Soup
+
+# Written by David Melik <dchmelik @ gmail dot com>
+
+PRGNAM=stone_soup
+VERSION=${VERSION:-0.10.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd source
+ make TILES=$GUI \
+ prefix=/usr \
+ DATADIR=/usr/share/games/crawl \
+ SAVEDIR=~/.crawl/
+ make install TILES=$GUI \
+ prefix=/usr \
+ DATADIR=/usr/share/games/crawl \
+ SAVEDIR=~/.crawl/ \
+ DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man6
+cp docs/crawl.6 $PKG/usr/man/man6
+gzip $PKG/usr/man/man6/crawl.6
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/games/crawl/docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/games/crawl/docs
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/stone_soup/stone_soup.info b/games/stone_soup/stone_soup.info
new file mode 100644
index 0000000000..7a6013fd8e
--- /dev/null
+++ b/games/stone_soup/stone_soup.info
@@ -0,0 +1,10 @@
+PRGNAM="stone_soup"
+VERSION="0.10.3"
+HOMEPAGE="http://crawl.develz.org/"
+DOWNLOAD="http://sourceforge.net/projects/crawl-ref/files/Stone%20Soup/0.10.3/stone_soup-0.10.3.tar.xz"
+MD5SUM="bf1183a44a0d3dbe39c8a2b38749ace1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Melik"
+EMAIL="dchmelik@gmail.com"
+APPROVED="dsomero"